Public Member Functions | Protected Attributes | List of all members
StarLanguage::IdIsoLanguageMap Class Reference

## Public Member Functions
| IdIsoLanguageMap ()
bool | getLanguageId (int id, std::string &lang, std::string &country) const

## Protected Attributes
std::map< int, IdIsoLanguageEntry > | m_idLanguageMap

## Constructor & Destructor Documentation

## ◆ IdIsoLanguageMap()

StarLanguage::IdIsoLanguageMap::IdIsoLanguageMap | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getLanguageId()

bool StarLanguage::IdIsoLanguageMap::getLanguageId | ( | int | id,
|  | std::string & | lang,
|  | std::string & | country ) const
| inline

Referenced by StarLanguage::getLanguageId().

## Member Data Documentation

## ◆ m_idLanguageMap

std::map<int,IdIsoLanguageEntry> StarLanguage::IdIsoLanguageMap::m_idLanguageMap
| protected

Referenced by getLanguageId(), and IdIsoLanguageMap().

The documentation for this class was generated from the following file:

- StarLanguage.cxx